SetChildAccountInfo

View as Markdown

Edits the account’s profile.

Example request: Disable the child account.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

child_account_idlist of integersOptional

The child account ID list separated by semicolons (;). Use the ‘all’ value to select all child accounts. Required unless child_account_name or child_account_email is provided.

child_account_namelist of stringsOptional

The child account name list separated by semicolons (;). Required unless child_account_id or child_account_email is provided.

child_account_emaillist of stringsOptional

The child account email list separated by semicolons (;). Required unless child_account_id or child_account_name is provided.

new_child_account_emailstringOptional
The new child account email
new_child_account_passwordstringOptional
The new child account password. Must be at least 8 characters long and contain at least one uppercase and lowercase letter, one number, and one special character
account_notificationsbooleanOptional
Whether Voximplant notifications are required
tariff_changing_notificationsbooleanOptional
Whether to receive the emails about the Voximplant plan changing
news_notificationsbooleanOptional
Whether to receive the emails about the Voximplant news
activebooleanOptional
Whether to enable the child account
language_codestringOptional
The notification language code (2 symbols, ISO639-1). The following values are available: aa (Afar), ab (Abkhazian), af (Afrikaans), am (Amharic), ar (Arabic), as (Assamese), ay (Aymara), az (Azerbaijani), ba (Bashkir), be (Belarusian), bg (Bulgarian), bh (Bihari), bi (Bislama), bn (Bengali), bo (Tibetan), br (Breton), ca (Catalan), co (Corsican), cs (Czech), cy (Welch), da (Danish), de (German), dz (Bhutani), el (Greek), en (English), eo (Esperanto), es (Spanish), et (Estonian), eu (Basque), fa (Persian), fi (Finnish), fj (Fiji), fo (Faeroese), fr (French), fy (Frisian), ga (Irish), gd (Scots Gaelic), gl (Galician), gn (Guarani), gu (Gujarati), ha (Hausa), hi (Hindi), he (Hebrew), hr (Croatian), hu (Hungarian), hy (Armenian), ia (Interlingua), id (Indonesian), ie (Interlingue), ik (Inupiak), in (Indonesian), is (Icelandic), it (Italian), iu (Inuktitut), iw (Hebrew), ja (Japanese), ji (Yiddish), jw (Javanese), ka (Georgian), kk (Kazakh), kl (Greenlandic), km (Cambodian), kn (Kannada), ko (Korean), ks (Kashmiri), ku (Kurdish), ky (Kirghiz), la (Latin), ln (Lingala), lo (Laothian), lt (Lithuanian), lv (Latvian), mg (Malagasy), mi (Maori), mk (Macedonian), ml (Malayalam), mn (Mongolian), mo (Moldavian), mr (Marathi), ms (Malay), mt (Maltese), my (Burmese), na (Nauru), ne (Nepali), nl (Dutch), no (Norwegian), oc (Occitan), om (Oromo), or (Oriya), pa (Punjabi), pl (Polish), ps (Pashto), pt (Portuguese), qu (Quechua), rm (Rhaeto-Romance), rn (Kirundi), ro (Romanian), ru (Russian), rw (Kinyarwanda), sa (Sanskrit), sd (Sindhi), sg (Sangro), sh (Serbo-Croatian), si (Singhalese), sk (Slovak), sl (Slovenian), sm (Samoan), sn (Shona), so (Somali), sq (Albanian), sr (Serbian), ss (Siswati), st (Sesotho), su (Sudanese), sv (Swedish), sw (Swahili), ta (Tamil), te (Tegulu), tg (Tajik), th (Thai), ti (Tigrinya), tk (Turkmen), tl (Tagalog), tn (Setswana), to (Tonga), tr (Turkish), ts (Tsonga), tt (Tatar), tw (Twi), ug (Uigur), uk (Ukrainian), ur (Urdu), uz (Uzbek), vi (Vietnamese), vo (Volapuk), wo (Wolof), xh (Xhosa), yi (Yiddish), yo (Yoruba), za (Zhuang), zh (Chinese), zu (Zulu)
locationstringOptional

The child account location (timezone). Examples: America/Los_Angeles, Etc/GMT-8, Etc/GMT+10

min_balance_to_notifydoubleOptional
The min balance value to notify by email or SMS
support_robokassabooleanOptional
Whether to allow the robokassa payments
support_bank_cardbooleanOptional
Whether to allow the bank card payments
support_invoicebooleanOptional
Whether to allow the bank invoices
can_use_restrictedbooleanOptional
Whether to allow use restricted directions

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully